export interface AuthResult {
  userId: string | null
  organizationId: string | null
}

export abstract class AuthStrategy {
  constructor(protected apiKey: string) {}
  abstract authenticate(): Promise<AuthResult | null>
}
